blobs.upload
PUT /api/v1/blobs/{sha256}. No authentication.
PUT
/api/v1/blobs/{sha256}
Code sample: Shell / cURL
curl --request PUT \ --url 'https://app.intraface.cc/api/v1/blobs/example?size=1&type=example&exp=1&u=example&sig=example' \ --header 'Content-Type: application/octet-stream' \ --data binaryNo authentication.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”sha256
required
string
Query Parameters
Section titled “Query Parameters”size
required
integer
type
required
string
exp
required
integer
u
required
string
sig
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/octet-stream
string format: binary
Responses
Section titled “Responses”Success.
Media typeapplication/json
object
sha256
required
string
size
required
integer
Example generated
{ "sha256": "example", "size": 1}default
Section titled “default”Any error: see error.code.
Media typeapplication/json
object
error
required
object
code
required
A stable error code: see the error codes table in the API overview.
string
message
required
string
hint
string
details
Example generated
{ "error": { "code": "example", "message": "example", "hint": "example", "details": "example" }}